"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.badgerFactory = void 0;
const badgerFactory = ({ checkConfig, editReadme, logger }) => () => {
    const { logInfo, logError } = logger();
    logInfo('Info: 0. Istanbul Badges Readme process started');
    return checkConfig()
        .then(() => editReadme())
        .catch((error) => {
        logError(`Error: ${error}`);
        logError('Error: Please refer to the documentation');
        logError('Error: https://github.com/olavoparno/istanbul-badges-readme/blob/master/README.md');
    })
        .finally(() => {
        logInfo('Info: 0. Istanbul Badges Readme process finished');
    });
};
exports.badgerFactory = badgerFactory;
